<!DOCTYPE html>
<html>

<head>
    <title>soccerTeams</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
    <link rel="stylesheet" type="text/css" href="/soccerPlayers.css">
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="/">home</a>
        <a class="navbar-brand" href="/teams" style="color:rgba(0, 119, 255, 0.623)">Teams</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
                <% if(!currentUser){ %>
                    <li class="nav-item">
                        <a class="nav-link" href="/register">Register</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/login">Log in </a>
                    </li>
                <% }else{ %>
                    <li class="nav-item">
                        <a class="nav-link" href="#"> <%=currentUser.username %></a>
                    </li>  
                <li class="nav-item">
                    <a class="nav-link" href="/logout">Log out</a>
                </li>
                <% } %>
                
            </ul>
        </div>
    </nav>

<div class="container">
    <% if(error && error.length > 0){ %>
        <div class="alert alert-danger" role="alert">
            <%= error %>
        </div>
    <% } %>
    <% if(success && success.length > 0){ %>
        <div class="alert alert-success" role="alert">
            <%= success %>
        </div>
    <% } %>
</div>